/*
*******************************************************
* Subroutine SHAPFUN                                  *
* - Shape functions and its derivatives for 1D line   * 
*   element                                           *
*******************************************************
*/
#include<math.h>
#include<stdio.h>
#include<stdlib.h>
void SHAPFUN(double EXISP,double SHAPE[],double DSHAP[])
{
	extern int NODEG;
	if(NODEG==2)
	{
		SHAPE[0]=(1-EXISP)/2.0;
		SHAPE[1]=(1+EXISP)/2.0;
		DSHAP[0]=-0.5;
		DSHAP[1]= 0.5;
	}
	else if(NODEG==3)
	{
		SHAPE[0]=-EXISP*(1-EXISP)/2.0;
		SHAPE[1]= 1.0-EXISP*EXISP;
		SHAPE[2]= EXISP*(1+EXISP)/2.0;
		DSHAP[0]=-0.5+EXISP;
		DSHAP[1]=-2.0*EXISP;
		DSHAP[2]= 0.5+EXISP;
	}
	else
	{
		printf("Exceed the maximum range of NODEG!");
		exit(0);
	}
	return;
}