/*
*******************************************************
* Subroutine FIEDNOD                                  *
* - Generate nodal generalized displacement field     *
*******************************************************
*/
#include<math.h>
#include<stdio.h>
#include<stdlib.h>
void FIEDNOD(int NPOIN,double COORD[],double ASDIS[],
			 int NINTP,double IPCOD[],double CRBFI[],
			 double UPOIN[],double PROPS[])
{
	void DUCLEAN();
	void PARSOLU();
	extern int NDIME,NDOFN,NSTRE;
	int ii,jj,NR;
	double xp,yp,*ups,*sps;
	for(ii=0;ii<NPOIN;ii++)
	{
		xp=COORD[ii*NDIME+0];
		yp=COORD[ii*NDIME+1];
		ups=(double *)calloc(NDOFN,sizeof(double));
		DUCLEAN(NDOFN,1,ups);
		sps=(double *)calloc(NSTRE,sizeof(double));
		DUCLEAN(NSTRE,1,sps);
		PARSOLU(xp,yp,NINTP,IPCOD,CRBFI,PROPS,ups,sps);
		for(jj=0;jj<NDOFN;jj++)
		{
			NR=ii*NDOFN+jj;
			UPOIN[ii*NDOFN+jj]=ASDIS[NR]+ups[jj];
		}
	}
	return;
}