/*
*******************************************************
* Subroutine EDISNOD                                  *
* - Collect nodal displacements in a given element    *
*******************************************************
*/
void EDISNOD(int iELEM,int LNODS[],double ASDIS[],
			 double d_Ele[])
{
	extern int NDIME,NDOFN,NNODE;
	int iNODE,kPOIN,iDOFN,kGR,iLR;
	for(iNODE=0;iNODE<NNODE;iNODE++)
	{
		kPOIN=LNODS[iELEM*NNODE+iNODE];
		for(iDOFN=0;iDOFN<NDOFN;iDOFN++)
		{
			kGR=kPOIN*NDOFN+iDOFN;
			iLR=iNODE*NDOFN+iDOFN;
			d_Ele[iLR]=ASDIS[kGR];
		}
	}
	return;
}
