function [KE]=KMATRIX(HE, GE)
% Form element stiffness matrix
%     K = GT * inv(H) * G
% Input parameters:
%   HE: H matrix
%   GE: G matrix
% Output parameters:
%   KE: element stiffness matrix
% ********************************
KE=GE'*inv(HE)*GE;