function [GDISP,GSTRE]=IETREFZ(xp,yp,c_Ele,kMATS,PROPS)
% Compute the Trefftz fields according to Trefftz
% interpolation

% note: displacements obtained are not accuracy, due to neglecting the
% rigid body motion, which must be recoveried 

% u = N*c   ---> NDOFN by 1
% s = T*c   ---> NSTRE by 1

GDISP=zeros(2,1);
GSTRE=zeros(3,1);
% Compute Trefftz interpolation matrix
[N_SET,T_SET]=TREFFTZ(xp,yp,kMATS,PROPS);
% Potential and flux at the given point
GDISP=N_SET*c_Ele;
GSTRE=T_SET*c_Ele;