function [d_Ele]=EDISNOD(iELEM, LNODS, ASDIS)
% Identify the nodal displacements of the element
global NDIME NDOFN NNODE;

NEVAB=NNODE*NDOFN;
d_Ele=zeros(NEVAB, 1);
for iNODE=1: NNODE
    kPOIN=LNODS(iELEM, iNODE);
    for iDOFN=1: NDOFN
        kEQNS=(kPOIN-1)*NDOFN+iDOFN;
        iEVAB=(iNODE-1)*NDOFN+iDOFN;
        d_Ele(iEVAB)=ASDIS(kEQNS);
    end
end