function [c_Ele]=CMATRIX(H_Ele, G_Ele, d_Ele)
% Compute the unknown coefficients c in a particular element
% H_Ele: m by m
% G_Ele: m by 8
% d_Ele: 8 by 1

global NTREF;

% Compute the coefficients of Trefftz interpolation
% ce=inv(H)*G*d
c_Ele=zeros(NTREF, 1);
c_Ele=inv(H_Ele)*G_Ele*d_Ele;