/*
*******************************************************
* Subroutine FIEDNOD                                  *
* - Generate nodal generalized displacement field     *
*******************************************************
*/
void FIEDNOD(int NPOIN,double ASDIS[],double UPOIN[])
{
	extern int NDIME,NDOFN;
	int ii,jj,NR;
	for(ii=0;ii<NPOIN;ii++)
	{
		for(jj=0;jj<NDOFN;jj++)
		{
			NR=ii*NDOFN+jj;
			UPOIN[ii*NDOFN+jj]=ASDIS[NR];
		}
	}
	return;
}