/*
*******************************************************
* Subroutine PARSOLU                                  *
* -Evaluate approximated particular solutions         *
*  at given point (x,y)                               *
*******************************************************
*/
#include<math.h>
#include<stdio.h>
#include<stdlib.h>
void PARSOLU(double xp,double yp,int NINTP,
			 double IPCOD[],double CRBFI[],
			 double ups[],double sps[])
{
	extern int NDIME,NDOFN;
	double up,uxp,uyp,x,y,xj,yj,r,Phi,Phix,Phiy;
	int jT,n;
    
	up=0;
	uxp=0;
	uyp=0;
	for(jT=0;jT<NINTP;jT++)
	{
		xj=IPCOD[jT*NDIME+0];
		yj=IPCOD[jT*NDIME+1];
		x=xp-xj;
		y=yp-yj;
		r=sqrt(pow(x,2)+pow(y,2));
		// PS: r^(2n-1)
		n=2;
		Phi =pow(r,(2*n+1))/(pow((2*n+1),2));
		Phix=pow(r,(2*n-1))/(2*n+1)*x;
		Phiy=pow(r,(2*n-1))/(2*n+1)*y;
		
		up =up +CRBFI[jT]*Phi;
		uxp=uxp+CRBFI[jT]*Phix;
		uyp=uyp+CRBFI[jT]*Phiy;
	}
	ups[0]=up;
	sps[0]=uxp;
	sps[1]=uyp;
	return;
}

