/*
*******************************************************
* Subroutine KMATRIX                                  *
* - Compute element stiffness matrix                  *
*******************************************************
*/
#include<math.h>
#include<stdio.h>
#include<stdlib.h>
void KMATRIX(double HE[],double GE[],double KE[])
{
	void MATINVE();
	void MATMULT();
	void MATTRAN();
	void DUCLEAN();
	extern int NTREF,NNODE,NDOFN;
	int NEVAB;
	double *TGE,*TGH;

	NEVAB=NNODE*NDOFN;
	// HE: NTREF*NTREF
	// GE: NTREF*NEVAB
	TGE=(double *)calloc(NEVAB*NTREF,sizeof(double));
	DUCLEAN(NEVAB,NTREF,TGE);
	TGH=(double *)calloc(NEVAB*NTREF,sizeof(double));
	DUCLEAN(NEVAB,NTREF,TGH);
	MATINVE(HE,NTREF);
	MATTRAN(GE,NTREF,NEVAB,TGE);
	MATMULT(TGE,HE,NEVAB,NTREF,NTREF,TGH);
	MATMULT(TGH,GE,NEVAB,NTREF,NEVAB,KE);
	free(TGE); free(TGH);
	return;
}
