/*
*******************************************************
* Subroutine ASMSTIF                                  *
* - Compute unknown coefficients c in each element    *
*******************************************************
*/
#include<math.h>
#include<stdio.h>
#include<stdlib.h>
void CMATRIX(double EHMTX[],double EGMTX[],
			 double d_Ele[],double c_Ele[])
{
	void MATINVE();
	void MATMULT();
	void DUCLEAN();
	extern int NTREF,NNODE,NDOFN;
	double *TEMP;
	int NEVAB;

	NEVAB=NNODE*NDOFN;
	TEMP=(double *)calloc(NTREF*NEVAB,sizeof(double));
	DUCLEAN(NTREF,NEVAB,TEMP);
	MATINVE(EHMTX,NTREF);
	MATMULT(EHMTX,EGMTX,NTREF,NTREF,NEVAB,TEMP);
	MATMULT(TEMP,d_Ele,NTREF,NEVAB,1,c_Ele);
	free(TEMP);
	return;
}