function [c_Ele]=CMATRIX(H_Ele,G_Ele,d_Ele)
% Compute the unknown coefficients vector c in a
% particular element
% Input parameters:
%   H_Ele: Element H matrix
%   G_Ele: Element G matrix
%   d_Ele: Nodal generalized displacement field of
%   element
% Output parameters:
%   c_Ele: Coefficients of Trefftz interpolation
% ***********************************
global NTREF;

% Compute the coefficients of Trefftz interpolation
% ce=inv(H)*G*d
c_Ele=zeros(NTREF,1);
c_Ele=inv(H_Ele)*G_Ele*d_Ele;