function [ELNOD]=TYPELEM
% Form the local relation of edge and nodes according
% to specified parameters in element: NNODE, NEDGE,
% NODEG
% Output parameters:
%   ELNOD: Local relation of edge and nodes
% *****************************************
global NNODE NEDGE NODEG;

if (NEDGE==4)&(NODEG==2)% Four-nodal element
    [ELNOD]=TELE442;
elseif (NEDGE==4)&(NODEG==3) % Eight-nodal element
    [ELNOD]=TELE843;
end

if NNODE~=(NEDGE*(NODEG-1))
    error('Wrong element type, Check it!');
end