function [KE]=KMATRIX(H_Ele, G_Ele)
% Form element stiffness matrix
%     K = GT * inv(H) * G
% Input parameters:
%   H_Ele: H matrix
%   G_Ele: G matrix
% Output parameters:
%   KE: element stiffness matrix
% ********************************
KE=G_Ele'*inv(H_Ele)*G_Ele;