function [ELNOD]=TYPELEM
% Form the local relation of edge and nodes according to specified
% parameters in element:
%       NNODE   NEDGE   NODEG
global NNODE NEDGE NODEG;

if (NEDGE==4)&(NODEG==2)
    [ELNOD]=TELE442;
elseif (NEDGE==4)&(NODEG==3)
    [ELNOD]=TELE843;
end

if NNODE~=(NEDGE*(NODEG-1))
    error('Wrong element type, Check it');
end